Subject: Re: [Bitcoin-development] 0.3.24

From: Jeff Garzik <[email-masked]>
Date: Fri, 1 Jul 2011 19:42:41 -0400

OK I pulled a couple other minor bits.

The only remaining question, IMO, is whether or not we should pull

     Make UPnP default on Bitcoin but not on Bitcoind.
     https://github.com/bitcoin/bitcoin/pull/372

We are all kicking the can on this decision to Gavin I believe <grin>
I think the two strong arguments for upnp are
     - other p2p apps widely deployed, notably skype, use it
     - it will make a significant positive impact in the number of
       nodes supporting incoming connections

so my personal (read: not speaking for anyone else) opinion is to turn
on upnp for bitcoin _and_ bitcoind.

Other than that, here's what we're looking at for 0.3.24:

Dawid Spiechowicz (1):
      added polish translation

Doug Huff (1):
      Add OSX App bundle and correct build instructions to reflect reality.

Eric Hosmer (1):
      Updated Visual C++ makefile.

Gavin Andresen (1):
      Boost unit-testing framework.     make -f makefile.{unix,osx,mingw} test_b

Giel van Schijndel (2):
      rpc server: send '403 Forbidden' to rejected clients
      rpc: don't send 403 when using SSL to prevent DoS

Han Lin Yap (3):
      Double check translation and improved a translation string
      Update swedish translation
      Consistent Bitcoin example address

James Burkle (1):
      Edited init.cpp to include a check that -datadir exists

Jeff Garzik (4):
      FormatFullVersion: build fix related to recent translation improvement
      doc/release-process.txt: minor updates
      CWalletTx::GetAmounts(): pass NULL for CKeyStore*, rather than false     t
      Enable DNS seeding by default.

Joerie de Gram (1):
      Fix connection failure debug output

Jordan Lewis (8):
      Only include irc.h when needed
      Only include db.h when we have to.
      Only included rpc.h when necessary
      Only include net.h when we have to
      Only include init.h when we have to
      Only include strlcpy.h when we have to
      Remove some globally unused headers from headers.h
      Only include certain boost headers if necessary.

Matt Corallo (3):
      Update translations and remove obsolete translations.
      Add new DNSSeed dnsseed.bluematt.me.
      Only use dnsseeds and static seeds when not on testnet.

Pieter Wuille (5):
      move wallet code to separate file
      CWallet class
      Bugfixes walletclass
      Fix segfault when creating new wallet
      Limit response to getblocks to half of output buffer size

Shane Wegner (1):
      Fix missing includes needed for Boost 1.46.

Wladimir J. van der Laan (1):
      add GetTotalBlocksEstimate() function, move magic number to constant

-- 
Jeff Garzik
exMULTI, Inc.
[email-masked]